## GoCharmapSel

GoCharmapSel

## Synopsis

    #define             GO_CHARMAP_SEL_TYPE
    #define             GO_CHARMAP_SEL                      (obj)
    #define             IS_GO_CHARMAP_SEL                   (obj)
                        GOCharmapSel;
    enum                GOCharmapSelTestDirection;
    GType               go_charmap_sel_get_type             (void);
    GtkWidget*          go_charmap_sel_new                  (GOCharmapSelTestDirection test);
    gcharconst *        go_charmap_sel_get_encoding         (GOCharmapSel *cs);
    gboolean            go_charmap_sel_set_encoding         (GOCharmapSel *cs,
                                                             const char *enc);
    const char*         go_charmap_sel_get_encoding_name    (GOCharmapSel *cs,
                                                             const char *enc);

## Description

## Details

### GO_CHARMAP_SEL_TYPE

    #define GO_CHARMAP_SEL_TYPE        (go_charmap_sel_get_type ())

### GO_CHARMAP_SEL()

    #define GO_CHARMAP_SEL(obj)        (G_TYPE_CHECK_INSTANCE_CAST((obj), GO_CHARMAP_SEL_TYPE, GOCharmapSel))

`obj` : |

### IS_GO_CHARMAP_SEL()

    #define IS_GO_CHARMAP_SEL(obj)     (G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_CHARMAP_SEL_TYPE))

`obj` : |

### GOCharmapSel

    typedef struct _GOCharmapSel GOCharmapSel;

### enum GOCharmapSelTestDirection

    typedef enum {
    	GO_CHARMAP_SEL_TO_UTF8 = 0,
    	GO_CHARMAP_SEL_FROM_UTF8
    } GOCharmapSelTestDirection;

### go_charmap_sel_get_type ()

    GType               go_charmap_sel_get_type             (void);

Returns : |

### go_charmap_sel_new ()

    GtkWidget*          go_charmap_sel_new                  (GOCharmapSelTestDirection test);

`test` : |
Returns : |

### go_charmap_sel_get_encoding ()

    gcharconst *        go_charmap_sel_get_encoding         (GOCharmapSel *cs);

`cs` : |
Returns : |

### go_charmap_sel_set_encoding ()

    gboolean            go_charmap_sel_set_encoding         (GOCharmapSel *cs,
                                                             const char *enc);

`cs` : |
`enc` : |
Returns : |

### go_charmap_sel_get_encoding_name ()

    const char*         go_charmap_sel_get_encoding_name    (GOCharmapSel *cs,
                                                             const char *enc);

`cs` : |
`enc` : |
Returns : |